Subject: Re: bug#21505: 24.4; Buffer order

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Sep 2015 18:19:51 +0300

> From: hoppe <[email-masked]>
> Date: Thu, 17 Sep 2015 10:59:41 -0400
> Cc: Stefan Monnier <[email-masked]>, [email-masked], [email-masked]
> 
> In response to the first question, I'd like this to be the "easy" request, that
> this behavior is only for when emacs opens and not continuously during the
> session. I agree, it does not need to be maintained during the session. 
> 
> Re: Tassilo Horn: I purposely showed my example with a wildcard since emacs
> could be given any expansion from the shell. To me it, and for my usual use
> case, it doesn't matter. I have a bunch of files I'd like to edit and I often
> miss those that are past the messages and scratch buffer. Opening the files in
> the order given from the command line seems very natural to me.
> 
> So to be clear, given the command run on the shell:
> 
> > emacs a c b
> 
> The buffer order should be [a,c,b,*messages*,*scratch*]. Currently the default
> behavior looks something like [b,c,*messages*,*scratch*, a]. 

So it's just an issue with the order in which buffers are presented in
the prompt of "C-x b"?